diff --git a/src/db/sysdb_ssh.c b/src/db/sysdb_ssh.c
index 469425f..1e436d7 100644
--- a/src/db/sysdb_ssh.c
+++ b/src/db/sysdb_ssh.c
@@ -34,7 +34,7 @@ sysdb_update_ssh_host(struct sysdb_ctx *sysdb,
     ret = sysdb_store_custom(sysdb, domain, name, SSH_HOSTS_SUBDIR, attrs);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Error storing host %s [%d]: %s\n", name, ret, strerror(ret)));
+              "Error storing host %s [%d]: %s\n", name, ret, strerror(ret));
         return ret;
     }
 
@@ -58,7 +58,7 @@ sysdb_store_ssh_host(struct sysdb_ctx *sysdb,
     struct ldb_message_element *el;
     unsigned int i;
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Storing host %s\n", name));
+    DEBUG(SSSDBG_TRACE_FUNC, "Storing host %s\n", name);
 
     tmp_ctx = talloc_new(NULL);
     if (!tmp_ctx) {
@@ -67,7 +67,7 @@ sysdb_store_ssh_host(struct sysdb_ctx *sysdb,
 
     ret = sysdb_transaction_start(sysdb);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to start transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to start transaction\n");
         goto done;
     }
 
@@ -81,14 +81,14 @@ sysdb_store_ssh_host(struct sysdb_ctx *sysdb,
     ret = sysdb_attrs_add_string(attrs, SYSDB_OBJECTCLASS, SYSDB_SSH_HOST_OC);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Could not set object class [%d]: %s\n", ret, strerror(ret)));
+              "Could not set object class [%d]: %s\n", ret, strerror(ret));
         goto done;
     }
 
     ret = sysdb_attrs_add_string(attrs, SYSDB_NAME, name);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Could not set name attribute [%d]: %s\n", ret, strerror(ret)));
+              "Could not set name attribute [%d]: %s\n", ret, strerror(ret));
         goto done;
     }
 
@@ -109,8 +109,8 @@ sysdb_store_ssh_host(struct sysdb_ctx *sysdb,
                                               SYSDB_NAME_ALIAS, &el->values[i]);
                     if (ret != EOK) {
                         DEBUG(SSSDBG_OP_FAILURE,
-                              ("Could not add name alias %s [%d]: %s\n",
-                               el->values[i].data, ret, strerror(ret)));
+                              "Could not add name alias %s [%d]: %s\n",
+                               el->values[i].data, ret, strerror(ret));
                         goto done;
                     }
                 }
@@ -122,8 +122,8 @@ sysdb_store_ssh_host(struct sysdb_ctx *sysdb,
             ret = sysdb_attrs_add_string(attrs, SYSDB_NAME_ALIAS, alias);
             if (ret != EOK) {
                 DEBUG(SSSDBG_OP_FAILURE,
-                      ("Could not add name alias %s [%d]: %s\n",
-                       alias, ret, strerror(ret)));
+                      "Could not add name alias %s [%d]: %s\n",
+                       alias, ret, strerror(ret));
                 goto done;
             }
         }
@@ -134,8 +134,8 @@ sysdb_store_ssh_host(struct sysdb_ctx *sysdb,
         ret = sysdb_attrs_get_el(attrs, SYSDB_SSH_PUBKEY, &el);
         if (ret != EOK) {
             DEBUG(SSSDBG_OP_FAILURE,
-                  ("Could not get sysdb sshPublicKey [%d]: %s\n",
-                   ret, strerror(ret)));
+                  "Could not get sysdb sshPublicKey [%d]: %s\n",
+                   ret, strerror(ret));
             goto done;
         }
     }
@@ -143,8 +143,8 @@ sysdb_store_ssh_host(struct sysdb_ctx *sysdb,
     ret = sysdb_attrs_add_time_t(attrs, SYSDB_LAST_UPDATE, now);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Could not set sysdb lastUpdate [%d]: %s\n",
-               ret, strerror(ret)));
+              "Could not set sysdb lastUpdate [%d]: %s\n",
+               ret, strerror(ret));
         goto done;
     }
 
@@ -155,7 +155,7 @@ sysdb_store_ssh_host(struct sysdb_ctx *sysdb,
 
     ret = sysdb_transaction_commit(sysdb);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to commit transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to commit transaction\n");
         goto done;
     }
 
@@ -167,7 +167,7 @@ done:
     if (in_transaction) {
         sret = sysdb_transaction_cancel(sysdb);
         if (sret != EOK) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Could not cancel transaction\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Could not cancel transaction\n");
         }
     }
 
@@ -188,7 +188,7 @@ sysdb_update_ssh_known_host_expire(struct sysdb_ctx *sysdb,
     struct sysdb_attrs *attrs;
 
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Updating known_hosts expire time of host %s\n", name));
+          "Updating known_hosts expire time of host %s\n", name);
 
     tmp_ctx = talloc_new(NULL);
     if (!tmp_ctx) {
@@ -205,8 +205,8 @@ sysdb_update_ssh_known_host_expire(struct sysdb_ctx *sysdb,
                                  now + known_hosts_timeout);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Could not set known_hosts expire time [%d]: %s\n",
-               ret, strerror(ret)));
+              "Could not set known_hosts expire time [%d]: %s\n",
+               ret, strerror(ret));
         goto done;
     }
 
@@ -228,7 +228,7 @@ sysdb_delete_ssh_host(struct sysdb_ctx *sysdb,
                       struct sss_domain_info *domain,
                       const char *name)
 {
-    DEBUG(SSSDBG_TRACE_FUNC, ("Deleting host %s\n", name));
+    DEBUG(SSSDBG_TRACE_FUNC, "Deleting host %s\n", name);
     return sysdb_delete_custom(sysdb, domain, name, SSH_HOSTS_SUBDIR);
 }
 
@@ -256,11 +256,11 @@ sysdb_search_ssh_hosts(TALLOC_CTX *mem_ctx,
                               &num_results, &results);
     if (ret != EOK && ret != ENOENT) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Error looking up host [%d]: %s\n",
-               ret, strerror(ret)));
+              "Error looking up host [%d]: %s\n",
+               ret, strerror(ret));
         goto done;
     } if (ret == ENOENT) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("No such host\n"));
+        DEBUG(SSSDBG_TRACE_FUNC, "No such host\n");
         *hosts = NULL;
         *num_hosts = 0;
         goto done;
@@ -310,7 +310,7 @@ sysdb_get_ssh_host(TALLOC_CTX *mem_ctx,
     if (num_hosts > 1) {
         ret = EINVAL;
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Found more than one host with name %s\n", name));
+              "Found more than one host with name %s\n", name);
         goto done;
     }
 
diff --git a/src/db/sysdb_subdomains.c b/src/db/sysdb_subdomains.c
index 43c7579..9932dc8 100644
--- a/src/db/sysdb_subdomains.c
+++ b/src/db/sysdb_subdomains.c
@@ -82,8 +82,8 @@ errno_t sysdb_update_subdomains(struct sss_domain_info *domain)
         name = ldb_msg_find_attr_as_string(res->msgs[i], "cn", NULL);
         if (name == NULL) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("The object [%s] doesn't have a name\n",
-                   ldb_dn_get_linearized(res->msgs[i]->dn)));
+                  "The object [%s] doesn't have a name\n",
+                   ldb_dn_get_linearized(res->msgs[i]->dn));
             ret = EINVAL;
             goto done;
         }
@@ -113,8 +113,8 @@ errno_t sysdb_update_subdomains(struct sss_domain_info *domain)
                 /* in theory these may change, but it should never happen */
                 if (strcasecmp(dom->realm, realm) != 0) {
                     DEBUG(SSSDBG_TRACE_INTERNAL,
-                          ("Realm name changed from [%s] to [%s]!\n",
-                           dom->realm, realm));
+                          "Realm name changed from [%s] to [%s]!\n",
+                           dom->realm, realm);
                     talloc_zfree(dom->realm);
                     dom->realm = talloc_strdup(dom, realm);
                     if (dom->realm == NULL) {
@@ -124,8 +124,8 @@ errno_t sysdb_update_subdomains(struct sss_domain_info *domain)
                 }
                 if (strcasecmp(dom->flat_name, flat) != 0) {
                     DEBUG(SSSDBG_TRACE_INTERNAL,
-                          ("Flat name changed from [%s] to [%s]!\n",
-                           dom->flat_name, flat));
+                          "Flat name changed from [%s] to [%s]!\n",
+                           dom->flat_name, flat);
                     talloc_zfree(dom->flat_name);
                     dom->flat_name = talloc_strdup(dom, flat);
                     if (dom->flat_name == NULL) {
@@ -135,8 +135,8 @@ errno_t sysdb_update_subdomains(struct sss_domain_info *domain)
                 }
                 if (strcasecmp(dom->domain_id, id) != 0) {
                     DEBUG(SSSDBG_TRACE_INTERNAL,
-                          ("Domain changed from [%s] to [%s]!\n",
-                           dom->domain_id, id));
+                          "Domain changed from [%s] to [%s]!\n",
+                           dom->domain_id, id);
                     talloc_zfree(dom->domain_id);
                     dom->domain_id = talloc_strdup(dom, id);
                     if (dom->domain_id == NULL) {
@@ -147,17 +147,17 @@ errno_t sysdb_update_subdomains(struct sss_domain_info *domain)
 
                 if (dom->mpg != mpg) {
                     DEBUG(SSSDBG_TRACE_INTERNAL,
-                          ("MPG state change from [%s] to [%s]!\n",
+                          "MPG state change from [%s] to [%s]!\n",
                            dom->mpg ? "true" : "false",
-                           mpg ? "true" : "false"));
+                           mpg ? "true" : "false");
                     dom->mpg = mpg;
                 }
 
                 if (dom->enumerate != enumerate) {
                     DEBUG(SSSDBG_TRACE_INTERNAL,
-                          ("MPG state change from [%s] to [%s]!\n",
+                          "MPG state change from [%s] to [%s]!\n",
                            dom->enumerate ? "true" : "false",
-                           enumerate ? "true" : "false"));
+                           enumerate ? "true" : "false");
                     dom->enumerate = enumerate;
                 }
 
@@ -165,8 +165,8 @@ errno_t sysdb_update_subdomains(struct sss_domain_info *domain)
                         || (dom->forest != NULL && forest != NULL
                             && strcasecmp(dom->forest, forest) != 0)) {
                     DEBUG(SSSDBG_TRACE_INTERNAL,
-                          ("Forest changed from [%s] to [%s]!\n",
-                           dom->forest, forest));
+                          "Forest changed from [%s] to [%s]!\n",
+                           dom->forest, forest);
                     talloc_zfree(dom->forest);
                     dom->forest = talloc_strdup(dom, forest);
                     if (dom->forest == NULL) {
@@ -234,8 +234,8 @@ errno_t sysdb_master_domain_update(struct sss_domain_info *domain)
     }
 
     if (res->count > 1) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Base search returned [%d] results, "
-                                 "expected 1.\n", res->count));
+        DEBUG(SSSDBG_OP_FAILURE, "Base search returned [%d] results, "
+                                 "expected 1.\n", res->count);
         ret = EINVAL;
         goto done;
     }
@@ -352,9 +352,9 @@ errno_t sysdb_master_domain_add_info(struct sss_domain_info *domain,
 
     ret = ldb_modify(domain->sysdb->ldb, msg);
     if (ret != LDB_SUCCESS) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("Failed to add subdomain attributes to "
+        DEBUG(SSSDBG_FATAL_FAILURE, "Failed to add subdomain attributes to "
                                      "[%s]: [%d][%s]!\n", domain->name, ret,
-                                     ldb_errstring(domain->sysdb->ldb)));
+                                     ldb_errstring(domain->sysdb->ldb));
         ret = sysdb_error_to_errno(ret);
         goto done;
     }
@@ -591,9 +591,9 @@ errno_t sysdb_subdomain_store(struct sysdb_ctx *sysdb,
 
     ret = ldb_modify(sysdb->ldb, msg);
     if (ret != LDB_SUCCESS) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("Failed to add subdomain attributes to "
+        DEBUG(SSSDBG_FATAL_FAILURE, "Failed to add subdomain attributes to "
                                      "[%s]: [%d][%s]!\n", name, ret,
-                                     ldb_errstring(sysdb->ldb)));
+                                     ldb_errstring(sysdb->ldb));
         ret = sysdb_error_to_errno(ret);
         goto done;
     }
@@ -618,7 +618,7 @@ errno_t sysdb_subdomain_delete(struct sysdb_ctx *sysdb, const char *name)
         goto done;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Removing sub-domain [%s] from db.\n", name));
+    DEBUG(SSSDBG_TRACE_FUNC, "Removing sub-domain [%s] from db.\n", name);
     dn = ldb_dn_new_fmt(tmp_ctx, sysdb->ldb, SYSDB_DOM_BASE, name);
     if (dn == NULL) {
         ret = ENOMEM;
@@ -627,7 +627,7 @@ errno_t sysdb_subdomain_delete(struct sysdb_ctx *sysdb, const char *name)
 
     ret = sysdb_delete_recursive(sysdb, dn, true);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sysdb_delete_recursive failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sysdb_delete_recursive failed.\n");
         goto done;
     }
 
diff --git a/src/db/sysdb_sudo.c b/src/db/sysdb_sudo.c
index 4e98b5b..751df55 100644
--- a/src/db/sysdb_sudo.c
+++ b/src/db/sysdb_sudo.c
@@ -110,8 +110,8 @@ static errno_t sysdb_sudo_check_time(struct sysdb_attrs *rule,
         for (i=0; values[i] ; i++) {
             ret = sysdb_sudo_convert_time(values[i], &converted);
             if (ret != EOK) {
-                DEBUG(SSSDBG_MINOR_FAILURE, ("Invalid time format in rule [%s]!\n",
-                      name));
+                DEBUG(SSSDBG_MINOR_FAILURE, "Invalid time format in rule [%s]!\n",
+                      name);
                 goto done;
             }
 
@@ -133,8 +133,8 @@ static errno_t sysdb_sudo_check_time(struct sysdb_attrs *rule,
         for (i=0; values[i] ; i++) {
             ret = sysdb_sudo_convert_time(values[i], &converted);
             if (ret != EOK) {
-                DEBUG(SSSDBG_MINOR_FAILURE, ("Invalid time format in rule [%s]!\n",
-                      name));
+                DEBUG(SSSDBG_MINOR_FAILURE, "Invalid time format in rule [%s]!\n",
+                      name);
                 goto done;
             }
 
@@ -155,11 +155,11 @@ static errno_t sysdb_sudo_check_time(struct sysdb_attrs *rule,
     }
 
     if (*result) {
-        DEBUG(SSSDBG_TRACE_ALL, ("Rule [%s] matches time restrictions\n",
-                                 name));
+        DEBUG(SSSDBG_TRACE_ALL, "Rule [%s] matches time restrictions\n",
+                                 name);
     } else {
-        DEBUG(SSSDBG_TRACE_ALL, ("Rule [%s] does not match time "
-                                 "restrictions\n", name));
+        DEBUG(SSSDBG_TRACE_ALL, "Rule [%s] does not match time "
+                                 "restrictions\n", name);
     }
 
     ret = EOK;
@@ -331,14 +331,14 @@ sysdb_get_sudo_user_info(TALLOC_CTX *mem_ctx, struct sysdb_ctx *sysdb,
     ret = sysdb_search_user_by_name(tmp_ctx, sysdb, domain,
                                     username, attrs, &msg);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Error looking up user %s\n", username));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Error looking up user %s\n", username);
         goto done;
     }
 
     if (_uid != NULL) {
         uid = ldb_msg_find_attr_as_uint64(msg, SYSDB_UIDNUM, 0);
         if (!uid) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("A user with no UID?\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "A user with no UID?\n");
             ret = EIO;
             goto done;
         }
@@ -395,8 +395,8 @@ sysdb_get_sudo_user_info(TALLOC_CTX *mem_ctx, struct sysdb_ctx *sysdb,
 
             sysdb_groupnames[num_groups] = NULL;
         } else if (ret != ENOENT) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Error looking up group [%d]: %s\n",
-                                        ret, strerror(ret)));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Error looking up group [%d]: %s\n",
+                                        ret, strerror(ret));
             goto done;
         }
     }
@@ -423,27 +423,27 @@ sysdb_save_sudorule(struct sysdb_ctx *sysdb,
 {
     errno_t ret;
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Adding sudo rule %s\n", rule_name));
+    DEBUG(SSSDBG_TRACE_FUNC, "Adding sudo rule %s\n", rule_name);
 
     ret = sysdb_attrs_add_string(attrs, SYSDB_OBJECTCLASS,
                                  SYSDB_SUDO_CACHE_OC);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Could not set rule object class [%d]: %s\n",
-              ret, strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "Could not set rule object class [%d]: %s\n",
+              ret, strerror(ret));
         return ret;
     }
 
     ret = sysdb_attrs_add_string(attrs, SYSDB_NAME, rule_name);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Could not set name attribute [%d]: %s\n",
-              ret, strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "Could not set name attribute [%d]: %s\n",
+              ret, strerror(ret));
         return ret;
     }
 
     ret = sysdb_store_custom(sysdb, domain, rule_name, SUDORULE_SUBDIR, attrs);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sysdb_store_custom failed [%d]: %s\n",
-              ret, strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "sysdb_store_custom failed [%d]: %s\n",
+              ret, strerror(ret));
         return ret;
     }
 
@@ -497,7 +497,7 @@ static errno_t sysdb_sudo_set_refresh_time(struct sysdb_ctx *sysdb,
         }
     } else if (res->count != 1) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Got more than one reply for base search!\n"));
+              "Got more than one reply for base search!\n");
         ret = EIO;
         goto done;
     } else {
@@ -569,7 +569,7 @@ static errno_t sysdb_sudo_get_refresh_time(struct sysdb_ctx *sysdb,
         goto done;
     } else if (res->count != 1) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Got more than one reply for base search!\n"));
+              "Got more than one reply for base search!\n");
         ret = EIO;
         goto done;
     }
@@ -616,7 +616,7 @@ static errno_t sysdb_sudo_purge_all(struct sysdb_ctx *sysdb,
 
     ret = sysdb_delete_recursive(sysdb, base_dn, true);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sysdb_delete_recursive failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sysdb_delete_recursive failed.\n");
         goto done;
     }
 
@@ -630,7 +630,7 @@ errno_t sysdb_sudo_purge_byname(struct sysdb_ctx *sysdb,
                                 struct sss_domain_info *domain,
                                 const char *name)
 {
-    DEBUG(SSSDBG_TRACE_INTERNAL, ("Deleting sudo rule %s\n", name));
+    DEBUG(SSSDBG_TRACE_INTERNAL, "Deleting sudo rule %s\n", name);
     return sysdb_delete_custom(sysdb, domain, name, SUDORULE_SUBDIR);
 }
 
@@ -664,17 +664,17 @@ errno_t sysdb_sudo_purge_byfilter(struct sysdb_ctx *sysdb,
                               SUDORULE_SUBDIR, attrs,
                               &count, &msgs);
     if (ret == ENOENT) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("No rules matched\n"));
+        DEBUG(SSSDBG_TRACE_FUNC, "No rules matched\n");
         ret = EOK;
         goto done;
     } else if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Error looking up SUDO rules"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Error looking up SUDO rules");
         goto done;
     }
 
     ret = sysdb_transaction_start(sysdb);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to start transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to start transaction\n");
         goto done;
     }
     in_transaction = true;
@@ -682,21 +682,21 @@ errno_t sysdb_sudo_purge_byfilter(struct sysdb_ctx *sysdb,
     for (i = 0; i < count; i++) {
         name = ldb_msg_find_attr_as_string(msgs[i], SYSDB_NAME, NULL);
         if (name == NULL) {
-            DEBUG(SSSDBG_OP_FAILURE, ("A rule without a name?\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "A rule without a name?\n");
             /* skip this one but still delete other entries */
             continue;
         }
 
         ret = sysdb_sudo_purge_byname(sysdb, domain, name);
         if (ret != EOK) {
-            DEBUG(SSSDBG_OP_FAILURE, ("Could not delete rule %s\n", name));
+            DEBUG(SSSDBG_OP_FAILURE, "Could not delete rule %s\n", name);
             goto done;
         }
     }
 
     ret = sysdb_transaction_commit(sysdb);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to commit transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to commit transaction\n");
         goto done;
     }
     in_transaction = false;
@@ -705,7 +705,7 @@ done:
     if (in_transaction) {
         sret = sysdb_transaction_cancel(sysdb);
         if (sret != EOK) {
-            DEBUG(SSSDBG_OP_FAILURE, ("Could not cancel transaction\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "Could not cancel transaction\n");
         }
     }
 
